Subject: RE: Notice of a new protocol concept.

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 4 Jun 2003 17:52:44 -0700

In which case you should note that Automatic Cryptographic Configuration
addresses this problem and constitutes prior art.

http://research.verisign.com/Papers/ACC1.html

	phill

> -----Original Message-----
> From: todd glassey [mailto:[email-masked]]
> Sent: Wednesday, June 04, 2003 6:04 PM
> To: [email-masked]
> Subject: Notice of a new protocol concept.
> 
> 
> 
> I am working on a form of one-time tokens that are generated 
> by using a
> keying system that will allow us to identify through PKI, 
> every component of
> a computing environment.
> 
> This is both a system and the API to use it, and lives as 
> part of the BIOS
> environment of a system. While it is traditionally outside 
> the realm of this
> group to deal with such low-level services these technologies 
> allow for any
> end-node in a network to also be described and identified by the same
> technologies system making it of key interest (pardon the 
> pun) here. In fact
> I intend to create a PKI Node Identification Protocol to check these
> services as part of this effort and that will be directly 
> applicable to this
> WG's efforts.
> 
> This is a needed step in effecting proper controls for Law 
> Enforcement and
> as such making the nasties that people perpetrated on computers more
> prosecutable. The system will allow each piece of a setup to 
> be uniquely
> identified and as such a forensics' team can detect if any 
> changes in the
> underlying HW on a particular OS's instance was altered or checked.
> 
> I intend on filing a patent on this technology as well, and 
> in this case
> will be allowing open use of the patent for nocom users and 
> very aggressive
> licensing (probably GPL or Lesser based but no decision has 
> been made yet)
> so that this will become a real workable system.
> 
> The idea is that from a security standpoint that without such 
> a system that
> there was no real way to detect when a computer system had 
> been forensically
> washed if the person doing the washing was any good. This 
> eliminates this
> and allows for any number of cool services to be put up based on the
> end-node enablement and entitlement controls that this enables.
> 
> If you are interested in this send me a note off the list and 
> I will respond
> and the draft should be here soon.
> 
> 
> Todd Glassey
>

---

From: "todd glassey" <[email-masked]>
Date: Wed, 4 Jun 2003 20:36:18 -0700

Phillip - actually no it doesn't. This is an auto configuration protocol and
that's not quite what i am talking about here, although you could probably
write policy for my system in XML too I guess.

Todd